<template>
    <el-row type="flex" justify="center">
        <el-col :span="22">
            <el-card class="text-center">
                <el-row slot="header" type="flex" justify="center" align="middle">
                    <el-col :span="24">
                        <h1 class="text-lg">{{$t("error404.header")}}</h1>
                    </el-col>
                </el-row>
                <el-row justify="center" align="middle">
                    <el-col :xs="24" :sm="24" :md="24" :lg="16" :xl="16">
                        <el-avatar :size="256" :src="notFoundImage"></el-avatar>
                    </el-col>
                    <el-col :xs="24" :sm="24" :md="24" :lg="8" :xl="8">
                        <div style="margin-top:auto;margin-bottom:auto" class="text-md">
                            {{$t("error404.content")}}
                            <el-divider></el-divider>
                            <router-link :to="{name: 'home'}">{{$t("error404.backToSafety")}}</router-link>
                        </div>
                    </el-col>
                </el-row>
            </el-card>
        </el-col>
    </el-row>
</template>
<style>
.el-card {
    padding-bottom:2em;
}
</style>
<script>
"use strict";
import NotFoundImage from "./error404/notFound.jpeg";

export default {
    name: "error404",
    data() {
        return {
            notFoundImage: NotFoundImage
        };
    }
};
</script>
